      implicit none
c---------------------------------------------------------------------------
c                         dimensions
c---------------------------------------------------------------------------
      integer mmry,mxptl
      parameter (mmry=1)   !memory saving factor
      parameter (mxptl=200000/mmry) !max nr of particles in epos ptl list
      
c---------------------------------------------------------------------------
c                   epos event common block
c---------------------------------------------------------------------------
      integer         ispherio,nevent,nfull,nfreeze,iabs_ninicon,
     *ifop,ifmt,ifcx,ifch,ifhi,ifdt,ifcp,ifset,icotabm,icotabr,
     *iprmpt,iecho,nopen,laproj,maproj,latarg,matarg,
     *iversn,nrevt,
     *iofrout
      common/cmixell/ ispherio,nevent,nfull,nfreeze,iabs_ninicon,
     *ifop,ifmt,ifcx,ifch,ifhi,ifdt,ifcp,ifset,icotabm,icotabr,
     *iprmpt,iecho,nopen,laproj,maproj,latarg,matarg,
     *iversn,nrevt,
     *iofrout
      
      double precision 
     *bmaxim,bminim,phimax,phimin,engy,ecms
      common/cmdxell/  
     *bmaxim,bminim,phimax,phimin,engy,ecms
c------------------------------------------------------------------------
c  Parameters set in sr aaset and variables to communicate between moduls
c------------------------------------------------------------------------
      integer      kchopen,khiopen,kdtopen,kcpopen
      common/kopen/kchopen,khiopen,kdtopen,kcpopen
      
      character*80    fnnx,fnch,fnhi,fndt,fncp,fnio,fnmt
      common/dmsxell/ fnnx,fnch,fnhi,fndt,fncp,fnio,fnmt
      
      integer nfnnx,nfnch,nfnhi,nfndt,nfncp,nfnio,nfnmt
      common/dmnxell/ nfnnx,nfnch,nfnhi,nfndt,nfncp,nfnio,nfnmt

      integer ikolmn,ikolmx
      common/musct/ikolmn,ikolmx
c---------------------------------------------------------------------------
c                   epos particle list common block
c---------------------------------------------------------------------------
      integer nptl,idptl,istptl,ityptl,itsptl,iorptl,jorptl,
     *ifrptl
      double precision pptl,xorptl,tivptl,radptl,desptl,dezptl
      common/cptl/pptl(5,mxptl),tivptl(2,mxptl),iorptl(mxptl),
     *idptl(mxptl),istptl(mxptl),ifrptl(2,mxptl),jorptl(mxptl),
     *xorptl(4,mxptl),ityptl(mxptl),nptl
      common/c1ptl/itsptl(mxptl),radptl(mxptl),desptl(mxptl),
     *dezptl(mxptl)
c      double precision taugm,r,rangen !dummy

c     nptl .......... current particle index (=number of ptls stored)
c     idptl(i) ...... particle id
c     pptl(1,i) ..... x-component of particle momentum 
c     pptl(2,i) ..... y-component of particle momentum 
c     pptl(3,i) ..... z-component of particle momentum 
c     pptl(4,i) ..... particle energy 
c     pptl(5,i) ..... particle mass 
c     iorptl(i) ..... particle number of father (if .le. 0 : no father) 
c     jorptl(i) ..... particle number of mother (if .le. 0 : no mother)
c     istptl(i) ..... status: 40 and 41 : Remnant
c                             30 and 31 : Pomeron
c                             20 and 21 : Parton
c                             10 and 11 : Droplet
c                             00 and 01 : Particle
c                            last digit = 0 : last generation
c                            last digit = 1 : not last generation
c     xorptl(1,i) ... x-component of formation point
c     xorptl(2,i) ... y-component of formation point
c     xorptl(3,i) ... z-component of formation point
c     xorptl(4,i) ... formation time
c     tivptl(1,i) ... formation time (always in the pp-cms!)
c     tivptl(2,i) ... destruction time (always in the pp-cms!)
c     ityptl(i)  .... type of particles origin:
c                         10-19: target
c                         20-29: soft Pom
c                         30-39: hard Pom 
c                         40-49: projectile 
c                         50: string, droplet
c     itsptl(i) ..... string type of particles origin (if string)
