CCC   #################################################################
CCC   #################################################################
      CHARACTER eosdatapath1*15
      CHARACTER eosdatapath2*12
CCC   #################################################################
      CHARACTER esxf1*10,esxf2*10,esxf3*10,esxf4*10
      CHARACTER bdyf1*11,bdyf2*11
      CHARACTER mixf1*10,mixf2*10
      CHARACTER zerof1*12,zerof2*12
CCC   #################################################################
      CHARACTER tbf1*9,tbf2*9,tbf3*9
      CHARACTER stbf1*10,stbf2*10,stbf3*10
CCC   #################################################################
      CHARACTER mixphf1*13,mixphf2*13
      CHARACTER tmuef1*13,tmuef2*13
      CHARACTER tmusf1*13,tmusf2*13
      CHARACTER thrf1*13,thrf2*13
      CHARACTER rdtzerf1*13,rdtzerf2*12
CCC   #################################################################
CCC   #################################################################
      PARAMETER(eosdatapath1='nonstrangeness/')             !!old eosdata file storage path
      PARAMETER(eosdatapath2='strangeness/')                   !!new eosdata file storage path

      PARAMETER(esxf1='eos-eq.dat')        !!table for esx
      PARAMETER(esxf2='eos-er.dat')        !!table for esx
      PARAMETER(esxf3='eos-sq.dat')        !!table for esx
      PARAMETER(esxf4='eos-sr.dat')        !!table for esx

      PARAMETER(bdyf1='bdy-qgp.dat')       !!table for phase boundary with fs_qgp=0
      PARAMETER(bdyf2='bdy-hrg.dat')       !!table for phase boundary with fs_hrg=0

      PARAMETER(mixf1='mix-tp.dat')        !!table for mixed phase region with entropy density as index
      PARAMETER(mixf2='mix-ee.dat')        !!table for mixed phase region with energy density as index

      PARAMETER(zerof1='bdy-qgp0.dat')     !!qgp eos at zero temperature
      PARAMETER(zerof2='bdy-hrg0.dat')     !!hrg eos at zero temperature
CCC   #################################################################
      PARAMETER(tbf1='tabl1.dat')          !!input file for 'readtb'
      PARAMETER(tbf2='tabl2.dat')          !!input file for 'readtb'
      PARAMETER(tbf3='tabl3.dat')          !!input file for 'readtb'
      
      PARAMETER(stbf1='stabl1.dat')          !!input file for 'readstb'
      PARAMETER(stbf2='stabl2.dat')          !!input file for 'readstb'
      PARAMETER(stbf3='stabl3.dat')          !!input file for 'readstb'
CCC   #################################################################
      PARAMETER(mixphf1='eos-rgdg.dat0')   !!output file come from 'diagram'
      PARAMETER(mixphf2='eos-qgdg.dat0')   !!output file come from 'diagram'

      PARAMETER(tmuef1='eos-qgtu.dat1')    !!output file come from 'tmtable'
      PARAMETER(tmuef2='eos-rgtu.dat1')    !!output file come from 'tmtable'
      PARAMETER(tmusf1='eos-qgtu.dat2')    !!output file come from 'tmtable'
      PARAMETER(tmusf2='eos-rgtu.dat2')    !!output file come from 'tmtable'

      PARAMETER(thrf1='eos-qgth.dat0')     !!output file come from 'thtable'
      PARAMETER(thrf2='eos-rgth.dat0')     !!output file come from 'thtable'

      PARAMETER(rdtzerf1='tzero_qgp.dat')  !!input file for 'rdtzer'
      PARAMETER(rdtzerf2='tzero_rg.dat')   !!input file for 'rdtzer'
CCC   #################################################################
